Index: WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt	(revision 3474)
@@ -4,9 +4,15 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
+      <a tal:condition="nothing" href=""
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="python:0" tal:content="info/container_path"/>
Index: WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt	(revision 3474)
@@ -4,9 +4,15 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
+      <a tal:condition="nothing" href=""
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="python:0" tal:content="info/container_path"/>
Index: WAeUP_SRP/base/skins/waeup_academics/courses_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/courses_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/courses_view.pt	(revision 3474)
@@ -5,13 +5,17 @@
                  global is_so context/isSectionOfficer;"
                  >
-      <a href=""
+      <a href="" tal:condition="nothing"
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
-      <h3 tal:content="here/aq_parent/LongTitle|here/aq_parent/title_or_id" />
-      <h4 tal:content="here/title_or_id" />
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-      <div tal:condition="python:0" tal:content="info/dep_id"/>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
+      <h3 tal:condition="nothing" tal:content="here/aq_parent/LongTitle|here/aq_parent/title_or_id" />
+      <h3 tal:content="here/title_or_id" />
     </metal:block>
     <metal:main fill-slot="main" tal:condition="python: 1">
Index: WAeUP_SRP/base/skins/waeup_academics/department_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/department_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/department_view.pt	(revision 3474)
@@ -4,9 +4,15 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
+      <a tal:condition="nothing" href=""
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
       <h3 tal:content="info/doc/LongTitle|here/title_or_id" />
       <br />
@@ -20,5 +26,4 @@
             tal:define="certs python: info['certificates'];"
             >
-        <span tal:condition="python: 0" tal:content="structure rows" />
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <tr class="even ajaxtd">
Index: WAeUP_SRP/base/skins/waeup_academics/faculty_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/faculty_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/faculty_view.pt	(revision 3474)
@@ -4,9 +4,15 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
+      <a tal:condition="nothing" href=""
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
       <h3 tal:content="info/doc/LongTitle|here/title_or_id" />
       <br />
Index: WAeUP_SRP/base/skins/waeup_academics/getBreadCrumbs.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getBreadCrumbs.py	(revision 3474)
+++ WAeUP_SRP/base/skins/waeup_academics/getBreadCrumbs.py	(revision 3474)
@@ -0,0 +1,35 @@
+## Script (Python) "getBreadCrumbs"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id:getDocumentInfo.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the breadcrumb trail
+"""
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+request = context.REQUEST
+
+if 'students' in request.get('PATH_INFO').split('/'):
+    return []
+
+trail = []
+for crumb in request.PARENTS:
+    if crumb.id == "campus":
+        break
+    d = {}
+    content = crumb.getContent()
+    d['title'] = getattr(content,'LongTitle',None) or content.Title
+    d['url'] = crumb.absolute_url()
+    trail += d,
+trail.reverse()
+return trail[:-1]
Index: WAeUP_SRP/base/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getLevelInfo.py	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/getLevelInfo.py	(revision 3474)
@@ -11,5 +11,4 @@
 """
 return Info about the Level
-"""
 try:
     from Products.zdb import set_trace
@@ -17,4 +16,5 @@
     def set_trace():
         pass
+"""
 request = context.REQUEST
 
@@ -44,5 +44,4 @@
 second = []
 combined = []
-set_trace()
 for course_id,course in context.objectItems():
     row = {}
Index: WAeUP_SRP/base/skins/waeup_academics/level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/level_view.pt	(revision 3473)
+++ WAeUP_SRP/base/skins/waeup_academics/level_view.pt	(revision 3474)
@@ -4,13 +4,16 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header">
-      <a href=""
+      <a tal:condition="nothing" href="" 
          tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
+      <div class=""><span tal:repeat="crumb context/getBreadCrumbs"><a href="crumb" 
+                                                tal:attributes="href crumb/url"
+                                                tal:content="crumb/title"></a> 
+          <span tal:condition="not: repeat/crumb/end">&gt;</span>
+        </span>
+      </div>
       <h3 tal:content="here/title_or_id" />
-      <div tal:condition="python:0" tal:content="info/container_path"/>
-      <div tal:condition="python:0" tal:content="info/dep_id"/>
-      <div tal:condition="python:0" tal:content="info/cert_id"/>
     </metal:block>
     <metal:main fill-slot="main" tal:condition="python:1">