Index: WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt	(revision 3475)
+++ WAeUP_SRP/base/skins/waeup_academics/certificate_view.pt	(revision 3478)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getCertificateInfo;
+<metal:html tal:define="info context/getFolderObjectsInfo;
             is_so context/isSectionOfficer;"
             >
Index: WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt	(revision 3475)
+++ WAeUP_SRP/base/skins/waeup_academics/certificates_view.pt	(revision 3478)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getCertificatesInfo;
+<metal:html tal:define="info context/getFolderObjectsInfo;
             is_so context/isSectionOfficer;"
             >
Index: WAeUP_SRP/base/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getCertificateInfo.py	(revision 3475)
+++ 	(revision )
@@ -1,46 +1,0 @@
-## Script (Python) "getCertificateInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id$
-"""
-return Info about a Certificate
-"""
-def cmp_id(a,b):
-    s1 = "%(id)s" % a
-    s2 = "%(id)s" % b
-    if s1 == s2:
-        return 0
-    if s1 > s2:
-        return 1
-    return -1
-
-request = context.REQUEST
-
-wf = context.portal_workflow
-path_info = request.get('PATH_INFO').split('/')
-
-info = {}
-info['action'] = "%s" % context.absolute_url()
-info['choosen_ids'] = request.get('ids',[])
-info['doc'] = context.getContent()
-items = []
-levels = context.objectValues()
-for l in levels:
-    row = {}
-    ld = l.getContent()
-    row['id'] = l.getId()
-    if hasattr(ld,'Title'):
-        row['title'] = ld.Title()
-    else:
-        row['title'] = getattr(ld,'title','no title')
-    row['url'] = l.absolute_url()
-    items.append(row)
-items.sort(cmp_id)
-info['items'] = items
-return info
Index: WAeUP_SRP/base/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getCertificatesInfo.py	(revision 3475)
+++ 	(revision )
@@ -1,51 +1,0 @@
-## Script (Python) "getCertificatesInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id$
-"""
-return Info about the Faculties
-"""
-request = context.REQUEST
-
-wf = context.portal_workflow
-path_info = request.get('PATH_INFO').split('/')
-mtool = context.portal_membership
-
-info = {}
-#dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
-dep_id = context.aq_parent.getId()
-info['action'] = "%s" % context.absolute_url()
-info['choosen_ids'] = request.get('ids',[])
-info['doc'] = context.getContent()
-res = context.portal_catalog(meta_type="Department",id = dep_id)
-info['courses'] = []
-if not res:
-    return info
-brain = res[-1]
-cp = brain.getPath()
-info['container_path'] = cp
-info['dep_id'] = dep_id
-
-res = context.portal_catalog(container_path="%s/certificates" % cp)
-items = []
-for r in res:
-    row = {}
-    try:
-        ro = r.getObject()
-        rd = ro.getContent()
-        row['id'] = r.getId
-        row['title'] = rd.Title()
-        row['url'] = ro.absolute_url()
-        row['review_state'] = wf.getInfoFor(ro,'review_state','None')
-        row['is_editable'] = mtool.checkPermission('Modify portal content', ro)
-        items.append(row)
-    except AttributeError:
-        continue
-info['items'] = items
-return info
Index: WAeUP_SRP/base/skins/waeup_documents/documents_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_documents/documents_view.pt	(revision 3475)
+++ WAeUP_SRP/base/skins/waeup_documents/documents_view.pt	(revision 3478)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getDocumentsInfo;
+<metal:html tal:define="info context/getFolderObjectsInfo;
             is_so context/isSectionOfficer;"
             >
Index: WAeUP_SRP/base/skins/waeup_documents/getDocumentsInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_documents/getDocumentsInfo.py	(revision 3475)
+++ 	(revision )
@@ -1,55 +1,0 @@
-## Script (Python) "getDocumentsInfo"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id:getFacultiesInfo.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return Info about the Faculties
-"""
-request = context.REQUEST
-def cmp_id(a,b):
-    s1 = "%(id)s" % a
-    s2 = "%(id)s" % b
-    if s1 == s2:
-        return 0
-    if s1 > s2:
-        return 1
-    return -1
-
-wf = context.portal_workflow
-mtool = context.portal_membership
-path_info = request.get('PATH_INFO').split('/')
-
-info = {}
-info['action'] = "%s" % context.absolute_url()
-info['choosen_ids'] = request.get('ids',[])
-info['doc'] = context.getContent()
-
-# items = []
-# facs = context.portal_catalog(portal_type='WAeUPDocument')
-# for f in facs:
-#     row = {}
-#     fo = f.getObject()
-#     fd = fo.getContent()
-#     row['id'] = fo.getId()
-#     row['title'] = fd.Title()
-#     row['url'] = fo.absolute_url()
-#     row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
-#     items.append(row)
-# items.sort(cmp_id)
-items = []
-for id, doc in context.objectItems():
-    row = {}
-    row['id'] = id
-    row['title'] = doc.getContent().Title()
-    row['url'] = doc.absolute_url()
-    row['is_editable'] = mtool.checkPermission('Modify portal content', doc)
-    items.append(row)
-items.sort(cmp=lambda x,y: cmp(x['id'].lower(), y['id'].lower()))
-info['items'] = items
-return info