Index: /WAeUP_SRP/base/Payment.py
===================================================================
--- /WAeUP_SRP/base/Payment.py	(revision 3480)
+++ /WAeUP_SRP/base/Payment.py	(revision 3481)
@@ -26,8 +26,8 @@
     security = ClassSecurityInfo()
 
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        return "Payments"
+    #security.declareProtected(View,"Title")
+    #def Title(self):
+    #    """compose title"""
+    #    return "Payments"
 
 
@@ -70,18 +70,18 @@
 #        return "%(description)s, Naira %(amount)s, %(pay_date)s" % vars()
 
-    security.declareProtected(View,"Title")
-    def Title(self):
-        """compose title"""
-        payment = self.getContent()
-        vocabularies = self.portal_vocabularies
-        
-        if payment.status == 'invalid':
-            return "Invalid Payment, Naira %s, %s" % (payment.amount,
-                                                      payment.date.strftime("%d/%m/%y %H:%M:%S"))             
-        
-        return "%s for Session %s, Naira %s, %s" % (vocabularies.payment_categories.get(payment.category),
-                                                    vocabularies.sessions.get(payment.session_id),
-                                                    payment.amount,
-                                                    payment.date.strftime("%d/%m/%y %H:%M:%S"))        
+    #security.declareProtected(View,"Title")
+    #def Title(self):
+    #    """compose title"""
+    #    payment = self.getContent()
+    #    vocabularies = self.portal_vocabularies
+    
+    #    if payment.status == 'invalid':
+    #        return "Invalid Payment, Naira %s, %s" % (payment.amount,
+    #                                                  payment.date.strftime("%d/%m/%y %H:%M:%S"))
+
+    #    return "%s for Session %s, Naira %s, %s" % (vocabularies.payment_categories.get(payment.category),
+    #                                                vocabularies.sessions.get(payment.session_id),
+    #                                                payment.amount,
+    #                                                payment.date.strftime("%d/%m/%y %H:%M:%S"))
 
 
Index: /WAeUP_SRP/base/Students.py
===================================================================
--- /WAeUP_SRP/base/Students.py	(revision 3480)
+++ /WAeUP_SRP/base/Students.py	(revision 3481)
@@ -666,5 +666,5 @@
     def createSubObjects(self):
         """make the student a member"""
-        dp = {'Title': 'Personal Data'}
+        #dp = {'Title': 'Personal Data'}
         app_doc = self.application.getContent()
         names = app_doc.jamb_lastname.split()
@@ -898,5 +898,5 @@
     #         return "%s" % ce.Title
     #     return "No course with id %s" % cid
- 
+
 InitializeClass(StudentCourseResult)
 
Index: /WAeUP_SRP/base/WAeUPImport.py
===================================================================
--- /WAeUP_SRP/base/WAeUPImport.py	(revision 3480)
+++ /WAeUP_SRP/base/WAeUPImport.py	(revision 3481)
@@ -672,5 +672,5 @@
                       'StudentApplication':
                           {'id': 'application',
-                           'title': 'Application Data',
+                           #'title': 'Application Data',
                            'wf_transition_return': 'close',
                            'wf_transition_admit': 'remain',
@@ -698,5 +698,5 @@
                       'StudentClearance':
                           {'id': 'clearance',
-                           'title': 'Clearance/Eligibility Record',
+                           #'title': 'Clearance/Eligibility Record',
                            'wf_transition_return': 'close',
                            'wf_transition_admit': 'remain',
@@ -710,5 +710,5 @@
                          'StudentPersonal':
                           {'id': 'personal',
-                           'title': 'Personal Data',
+                           #'title': 'Personal Data',
                            'wf_transition_return': 'open',
                            'wf_transition_admit': 'remain',
@@ -725,5 +725,5 @@
                          'StudentStudyCourse':
                           {'id': 'study_course',
-                           'title': 'Study Course',
+                           #'title': 'Study Course',
                            'wf_transition_return': 'open',
                            'wf_transition_admit': 'remain',
@@ -749,5 +749,5 @@
                          'PaymentsFolder':
                           {'id': 'payments',
-                           'title': 'Payments',
+                           #'title': 'Payments',
                            'wf_transition_return': 'open',
                            'wf_transition_admit': 'open',
@@ -796,5 +796,5 @@
                 sub_obj = getattr(student_obj,f2t[pt]['id'])
                 sub_doc = sub_obj.getContent()
-                d['Title'] = f2t[pt]['title']
+                #d['Title'] = f2t[pt]['title']
                 for field in f2t[pt]['fields']:
                     d[field] = mapping.get(field,'')
@@ -915,6 +915,6 @@
                             continue
                         sub_obj = getattr(student_obj,object_id)
-                        if f2t[pt]['title'] != '':
-                            d['Title'] = f2t[pt]['title']
+                        #if f2t[pt]['title'] != '':
+                        #    d['Title'] = f2t[pt]['title']
                     sub_doc = sub_obj.getContent()
                     for field in intersect:
Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 3480)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 3481)
@@ -697,5 +697,5 @@
         students_folder.invokeFactory('Student', sid)
         student_obj = getattr(students_folder,sid)
-        f2t = self.field2types_student
+        f2t = StudentImport.field2types_student
         #from pdb import set_trace; set_trace()
         d = {}
@@ -720,5 +720,5 @@
             sub_doc = sub_obj.getContent()
             #self.portal_workflow.doActionFor(sub_obj,'open',dest_container=sub_obj)
-            d['Title'] = f2t[pt]['title']
+            #d['Title'] = f2t[pt]['title']
             for field in f2t[pt]['fields']:
                 d[field] = dict.get(field,'')
Index: /WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt	(revision 3480)
+++ /WAeUP_SRP/base/skins/waeup_epayment/payments_view.pt	(revision 3481)
@@ -19,5 +19,5 @@
           <span tal:condition="not:is_student" tal:omit-tag="">
             <span tal:content="s_name" />:</span>
-          <span tal:condition="is_student" tal:omit-tag="">My</span> <span tal:content="here/title_or_id" />
+          <span tal:condition="is_student" tal:omit-tag="">My</span> Payments
         </h3>
         <br />