Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 3493)
+++ WAeUP_SRP/base/Widgets.py	(revision 3494)
@@ -857,10 +857,15 @@
             application_category = "basic"
         if not hasattr(self,'_v_certificates_docs'):
-            res = self.portal_catalog_real.search({'meta_type': "Certificate"})
+            # res = self.portal_catalog_real.search({'meta_type': "Certificate"})
+            # d = {}
+            # for cert in res:
+            #     c = cert.getObject().getContent()
+            #     if getattr(c,'application_category',''):
+            #         d[cert.getId] = c
+            res = self.certificates_catalog()
             d = {}
             for cert in res:
-                c = cert.getObject().getContent()
-                if getattr(c,'application_category',''):
-                    d[cert.getId] = c
+                if getattr(cert,'application_category',''):
+                    d[cert.code] = cert
             self._v_certificates_docs = d
         l  = [('','','')]
Index: WAeUP_SRP/base/exportimport.py
===================================================================
--- WAeUP_SRP/base/exportimport.py	(revision 3493)
+++ WAeUP_SRP/base/exportimport.py	(revision 3494)
@@ -125,4 +125,5 @@
     importWAeUPTable(site.portal_accommodation, '', context,'accommodation')
     importWAeUPTable(site.courses_catalog, '', context,'courses_catalog')
+    importWAeUPTable(site.certificates_catalog, '', context,'certificates_catalog')
     importWAeUPTable(site.payments_catalog, '', context,'payments_catalog')
     importWAeUPTable(site.online_payments_import, '', context,'online_payments_import')
Index: WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 3493)
+++ WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 3494)
@@ -5,9 +5,15 @@
 
 """
+# if key is None:
+#     res = context.portal_catalog.search({'meta_type': "Certificate"})
+#     return [(d.getId,d.Title,) for d in res]
+# res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
+# if res:
+#     return res[0].Title
 if key is None:
-    res = context.portal_catalog.search({'meta_type': "Certificate"})
-    return [(d.getId,d.Title,) for d in res]
-res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
+    res = context.certificates_catalog()
+    return [(d.code,d.title,) for d in res]
+res = context.certificates_catalog(code=key)
 if res:
-    return res[0].Title
+    return res[0].title
 raise KeyError
Index: WAeUP_SRP/uniben/profiles/default/certificates_catalog.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/certificates_catalog.xml	(revision 3494)
+++ WAeUP_SRP/uniben/profiles/default/certificates_catalog.xml	(revision 3494)
@@ -0,0 +1,24 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="catalog.xsl"?>
+<object name="courses_catalog" meta_type="WAeUP Table">
+ <column value="code"/>
+ <column value="faculty"/>
+ <column value="department"/>
+ <column value="title"/>
+ <column value="application_category"/>
+ <column value="end_level"/>
+ <column value="school_fee_code"/>
+ <column value="start_level"/>
+ <column value="study_mode"/>
+ <column value="category"/>
+ <column value="nr_years"/>
+ <index name="code" meta_type="FieldIndex">
+  <indexed_attr value="code"/>
+ </index>
+ <index name="faculty" meta_type="FieldIndex">
+  <indexed_attr value="faculty"/>
+ </index>
+ <index name="department" meta_type="FieldIndex">
+  <indexed_attr value="department"/>
+ </index>
+</object>
Index: WAeUP_SRP/uniben/profiles/default/toolset.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/toolset.xml	(revision 3493)
+++ WAeUP_SRP/uniben/profiles/default/toolset.xml	(revision 3494)
@@ -7,6 +7,12 @@
  <required tool_id="portal_accommodation"
            class="Products.WAeUP_SRP.WAeUPTables.AccommodationTable"/>
+ <required tool_id="applicants_catalog"
+           class="Products.WAeUP_SRP.WAeUPTables.ApplicantsCatalog"/>
+ <required tool_id="certificates_catalog"
+           class="Products.WAeUP_SRP.WAeUPTables.CertificatesCatalog"/>
  <required tool_id="courses_catalog"
            class="Products.WAeUP_SRP.WAeUPTables.CoursesCatalog"/>
+ <required tool_id="course_results"
+           class="Products.WAeUP_SRP.WAeUPTables.CourseResults"/>
  <required tool_id="payments_catalog"
            class="Products.WAeUP_SRP.WAeUPTables.PaymentsCatalog"/>
@@ -23,8 +29,4 @@
  <required tool_id="students_catalog"
            class="Products.WAeUP_SRP.WAeUPTables.StudentsCatalog"/>
- <required tool_id="applicants_catalog"
-           class="Products.WAeUP_SRP.WAeUPTables.ApplicantsCatalog"/>
- <required tool_id="course_results"
-           class="Products.WAeUP_SRP.WAeUPTables.CourseResults"/>
  <required tool_id="waeup_tool"
            class="Products.WAeUP_SRP.WAeUPTool.WAeUPTool"/>