Index: WAeUP_Doc/NewDocumentation/ImportData.html
===================================================================
--- WAeUP_Doc/NewDocumentation/ImportData.html	(revision 3513)
+++ WAeUP_Doc/NewDocumentation/ImportData.html	(revision 3514)
@@ -296,6 +296,6 @@
 <div class="section">
 <h2><a id="general-procedure" name="general-procedure">General procedure</a></h2>
-<p>A record is read from the input source file located in the import folder of the Zope instance (or uploaded by the upload manager in the Upload Section. The data format is validated against the import data layout selected. If the record can be imported, it is <strong>appended</strong> to the file [layout]_imported.csv (in the same folder), otherwise it is <strong>inserted</strong> into the file [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.</p>
-<p>The report files have five additional columns: import_mode, imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message). The pending file can be edited and re-imported by selecting 'pending data only'.</p>
+<p>A record is read from the input source file located in the import folder of the Zope instance (or uploaded by the upload manager in the Upload Section). The data format is validated against the import data layout selected. If the record can be imported, it is appended to the file [layout]_imported.csv (in the same folder), otherwise it's appended to [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.</p>
+<p>The report files have four additional columns: imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message).</p>
 <p>The following import modes are recognized: edit, create and remove. The latter deletes the whole record. This mode is available for course results only.</p>
 <p>Single fields can be cleared in edit mode by inserting 'XXX' in the respective field. Empty fields are ignored.</p>
Index: WAeUP_Doc/NewDocumentation/ImportData.txt
===================================================================
--- WAeUP_Doc/NewDocumentation/ImportData.txt	(revision 3513)
+++ WAeUP_Doc/NewDocumentation/ImportData.txt	(revision 3514)
@@ -5,7 +5,7 @@
 -----------------
 
-A record is read from the input source file located in the import folder of the Zope instance (or uploaded by the upload manager in the Upload Section. The data format is validated against the import data layout selected. If the record can be imported, it is **appended** to the file [layout]_imported.csv (in the same folder), otherwise it is **inserted** into the file [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.
-
-The report files have five additional columns: import_mode, imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message). The pending file can be edited and re-imported by selecting 'pending data only'.
+A record is read from the input source file located in the import folder of the Zope instance (or uploaded by the upload manager in the Upload Section). The data format is validated against the import data layout selected. If the record can be imported, it is appended to the file [layout]_imported.csv (in the same folder), otherwise it's appended to [layout]_pending.csv, if no record with exactly the same data already exists. Technically speaking, the md5-digests of the new record is being compared with the existing records.
+
+The report files have four additional columns: imported_by (the member who did the import), import_date, import_from (input source file name) and error (error message). 
 
 The following import modes are recognized: edit, create and remove. The latter deletes the whole record. This mode is available for course results only.