Index: WAeUP_SRP/aaua/profiles/default/vocabularies/cos.xml
===================================================================
--- WAeUP_SRP/aaua/profiles/default/vocabularies/cos.xml	(revision 3549)
+++ WAeUP_SRP/aaua/profiles/default/vocabularies/cos.xml	(revision 3550)
@@ -8,112 +8,104 @@
 
     <item key="" msgid="">--</item>
-    <item key="NCISSARA" msgid="">ISLAMIC STUDIES/ARABIC</item>
-    <item key="NCISSENG" msgid="">ISLAMIC STUDIES/ENGLISH</item>
-    <item key="NCISSHAU" msgid="">ISLAMIC STUDIES/HAUSA</item>
-    <item key="NCISSSOS" msgid="">ISLAMIC STUDIES/SOCIAL STUDIES</item>
-    <item key="NCISSYOR" msgid="">ISLAMIC STUDIES/YORUBA</item>
-    <item key="PNISS" msgid="">PRE-NCE ISLLAMIC STUDIES COURSES</item>
-    <item key="NCTHA" msgid="">THEATRE ARTS</item>
-    <item key="NCHIS" msgid="">HISTORY</item>
-    <item key="PNHIS" msgid="">PRE-NCE HISTORY</item>
-    <item key="NCMUSDM" msgid="">MUSIC</item>
-    <item key="NCMUSENG" msgid="">MUSIC/ENGLISH</item>
-    <item key="PNMUS" msgid="">PRE-NCE MUSIC</item>
-    <item key="NCMUSFRE" msgid="">MUSIC/FRENCH</item>
-    <item key="PNECO" msgid="">PRE-NCE ECONOMICS</item>
-    <item key="PNGEO" msgid="">PRE-NCE SYLLABUS GEOGRAPHY</item>
-    <item key="PNPOL" msgid="">PRE-NCE POLITICAL SCIENCE</item>
-    <item key="NCSOSARA" msgid="">SOCIAL STUDIES/ARABIC</item>
-    <item key="NCSOSENG" msgid="">SOCIAL STUDIES/ENGLISH</item>
-    <item key="NCSOSFRE" msgid="">SOCIAL STUDIES/FRENCH</item>
-    <item key="NCSOSHAU" msgid="">SOCIAL STUDIES/HAUSA</item>
-    <item key="NCSOSIGB" msgid="">SOCIAL STUDIES/IGBO</item>
-    <item key="NCSOSISC" msgid="">SOCIAL STUDIES/INTEGRATED SCIENCE</item>
-    <item key="NCSOSMAT" msgid="">SOCIAL STUDIES/MATHEMATICS</item>
-    <item key="NCSOSYOR" msgid=""> SOCIAL STUDIES/YORUBA</item>
-    <item key="PNSOS" msgid="">PRE-NCE SOCIAL STUDIES</item>
-    <item key="NCMUSSOS" msgid="">SOCIAL STUDIES/MUSIC</item>
-    <item key="NCCCA" msgid="">CULTURAL AND CREATIVE ARTS</item>
-    <item key="PNCCA" msgid="">PRE-NCE CULTURAL AND CREATIVE ARTS</item>
-    <item key="NCCRSENG" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/ENGLISH</item>
-    <item key="NCCRSFRE" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/FRENCH</item>
-    <item key="NCCRSHAU" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/HAUSA</item>
-    <item key="NCCRSIGB" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/IGBO</item>
-    <item key="NCCRSSOS" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/SOCIAL STUDIES</item>
-    <item key="NCCRSYOR" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/YORUBA</item>
-    <item key="NCMUSCRS" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/MUSIC</item>
-    <item key="PNCRS" msgid="">PRE-NCE CHRISTIAN RELIGIOUS STUDIES</item>
-    <item key="NCARAPES" msgid="">PRIMARY EDUCATION STUDIES/ARABIC</item>
-    <item key="NCCRSPES" msgid="">PRIMARY EDUCATION STUDIES/CHRISTIAN RELIGIOUS STUDIES</item>
-    <item key="NCENGPES" msgid="">PRIMARY EDUCATION STUDIES/ENGLISH</item>
-    <item key="NCFREPES" msgid="">PRIMARY EDUCATION STUDIES/FRENCH</item>
-    <item key="NCISSPES" msgid="">PRIMARY EDUCATION STUDIES/ISLAMIC STUDIES</item>
-    <item key="NCMATPES" msgid="">PRIMARY EDUCATION STUDIES/MATHEMATICS</item>
-    <item key="NCMUSPES" msgid="">PRIMARY EDUCATION STUDIES/MUSIC</item>
-    <item key="NCPESHAU" msgid="">PRIMARY EDUCATION STUDIES/HAUSA</item>
-    <item key="NCPESIGB" msgid="">PRIMARY EDUCATION STUDIES/IGBO</item>
-    <item key="NCPESYOR" msgid="">PRIMARY EDUCATION STUDIES/YORUBA</item>
-    <item key="NCSOSPES" msgid="">PRIMARY EDUCATION STUDIES/SOCIAL STUDIES</item>
-    <item key="NCENGHAU" msgid="">ENGLISH/HAUSA</item>
-    <item key="PNENG" msgid="">PRE-NCE ENGLISH</item>
-    <item key="NCFREENG" msgid="">FRENCH/ENGLISH</item>
-    <item key="PNFRE" msgid="">PRE-NCE FRENCH</item>
-    <item key="NCFREHAU" msgid="">FRENCH/HAUSA</item>
-    <item key="NCFREYOR" msgid="">FRENCH/YORUBA</item>
-    <item key="NCARAENG" msgid="">ARABIC/ENGLISH</item>
-    <item key="NCARAHAU" msgid="">ARABIC/HAUSA</item>
-    <item key="PNARB" msgid="">PRE-NCE ARABIC</item>
-    <item key="NCARAFRE" msgid="">ARABIC/FRENCH</item>
-    <item key="NCARAYOR" msgid="">ARABIC/YORUBA</item>
-    <item key="NCIGBENG" msgid="">IGBO/ENGLISH</item>
-    <item key="NCIGBFRE" msgid="">IGBO/FRENCH</item>
-    <item key="NCMUSIGB" msgid="">IGBO/MUSIC</item>
-    <item key="PNIGB" msgid="">PRE-NCE IGBO</item>
-    <item key="NCMUSYOR" msgid="">YORUBA/MUSIC</item>
-    <item key="NCYORENG" msgid="">YORUBA/ENGLISH</item>
-    <item key="NCYORIGBO" msgid="">YORUBA/IGBO</item>
-    <item key="PNYOR" msgid="">PRE-NCE YORUBA</item>
-    <item key="NCHAUYOR" msgid="">HAUSA/YORUBA</item>
-    <item key="PNHAU" msgid="">PRE-NCE HAUSA</item>
-    <item key="NCHAUMUS" msgid="">HAUSA/MUSIC</item>
-    <item key="NCHAUIGB" msgid="">HAUSA/IGBO</item>
-    <item key="NCCSCISC" msgid="">COMPUTER SCIENCE/INTEGRATED SCIENCE</item>
-    <item key="NCCSCMAT" msgid="">COMPUTER SCIENCE/MATHEMATICS</item>
-    <item key="NCCSCPES" msgid="">COMPUTION EDUCATION/PRIMARY EDUCATION</item>
-    <item key="NCISCPES" msgid="">PRIMARY EDUCATION STUDIES/INTEGRATED SCIENCE</item>
-    <item key="NCISCDM" msgid="">INTEGRATED SCIENCE</item>
-    <item key="NCPHE" msgid="">PHYSICAL AND HEALTH EDUCATION</item>
-    <item key="NCBIOCSC" msgid="">BIOLOGY/COMPUTER SCIENCE</item>
-    <item key="NCBIOISC" msgid="">BIOLOGY/INTEGRATED SCIENCE</item>
-    <item key="NCBIOMAT" msgid="">BIOLOGY/MATHEMATICS</item>
-    <item key="PNBIO" msgid="">PRE-NCE BIOLOGY</item>
-    <item key="NCBIOCHE" msgid="">BIOLOGY/CHEMISTRY</item>
-    <item key="NCBIOPES" msgid="">BIOLOGY/PRIMARY EDUCATION</item>
-    <item key="NCBIOPHY" msgid="">BIOLOGY/PHYSICS</item>
-    <item key="NCCHECSC" msgid="">CHEMISTRY/COMPUTER SCIENCE</item>
-    <item key="NCCHEISC" msgid="">CHEMISTRY/INTEGRATED SCIENCE</item>
-    <item key="NCCHEMAT" msgid="">CHEMISTRY/MATHEMATICS</item>
-    <item key="PNCHE" msgid="">PRE-NCE CHEMISTRY</item>
-    <item key="NCCHEPES" msgid="">CHEMISTRY/PRIMARY EDUCATION</item>
-    <item key="NCCHEPHY" msgid="">CHEMISTRY/PHYSICS</item>
-    <item key="PNHED" msgid="">PRE-NCE HEALTH EDUCATION</item>
-    <item key="NCMATISC" msgid="">MATHEMATICS/INTEGRATED SCIENCE</item>
-    <item key="PNMAT" msgid="">PRE-NCE MATHEMATICS</item>
-    <item key="PNPHE" msgid="">PRE-NCE PHYSICAL EDUCATION</item>
-    <item key="NCPHYCSC" msgid="">PHYSICS/COMPUTER SCIENCE</item>
-    <item key="NCPHYISC" msgid="">PHYSICS/INTEGRATED SCIENCE</item>
-    <item key="NCPHYMAT" msgid="">PHYSICS/MATHEMATICS</item>
-    <item key="PNPHY" msgid="">PRE-NCE PHYSICS</item>
-    <item key="NCPHYPES" msgid="">PHYSICS/PRIMARY EDUCATION STUDIES</item>
-    <item key="NCAGEDM" msgid="">AGRICULTURAL EDUCATION</item>
-    <item key="PNAGE" msgid="">PRE-NCE AGRICULTURAL EDUCATION</item>
-    <item key="NCBEDDM" msgid="">BUSINESS EDUCATION</item>
-    <item key="PNBED" msgid="">PRE-NCE BUSINESS EDUCATION</item>
-    <item key="NCFAADM" msgid="">FINE AND APPLIED ARTS</item>
-    <item key="PNFAA" msgid="">PRE-NCE FINE AND APPLIED ARTS</item>
-    <item key="NCHECDM" msgid=""> HOME ECONOMICS</item>
-    <item key="PNHEC" msgid="">PRE-NCE HOME ECONOMICS</item>
-    <item key="PNTED" msgid="">PRE-NCE TECHNICAL EDUCATION</item>
-    <item key="PNCSC" msgid="">PRE-NCE COMPUTER</item>
+    <item key="BSCANA" msgid="">B.SC (ANATOMY)</item>
+    <item key="BARTEDL" msgid="">B.ART (EDO LINGUSTICS)</item>
+    <item key="BARTLAL" msgid="">B.ART (LINGUSTICS AND AFRICAN LANGUAGES)</item>
+    <item key="BAEDEL" msgid="">B.A(ED) ADULT EDUCATION/ENGLISH AND LIT.</item>
+    <item key="BAEDCRM" msgid="">B.A(ED) CERAMICS</item>
+    <item key="BAEDEDO" msgid="">B.A(ED) EDO</item>
+    <item key="BAEDENG" msgid="">B.A(ED) ENGLISH</item>
+    <item key="BAEDFAA" msgid="">B.A(ED) FINE ARTS</item>
+    <item key="BAEDFRC" msgid="">B.A(ED) FRENCH</item>
+    <item key="BAEDHIS" msgid="">B.A(ED) HISTORY</item>
+    <item key="BEDADT" msgid="">B.ED ADULT EDUCATION</item>
+    <item key="BSCEDHK" msgid="">B.SC (ED) HUMAN KINETICS</item>
+    <item key="BSCEDE" msgid="">B.SC(ED) ADULT EDUCATION/ECONOMICS $ ST</item>
+    <item key="BSCEDG" msgid="">B.SC(ED) ADULT EDUCATION/GEOGRAPHY AND REGIONAL PLANNING</item>
+    <item key="BSCEDAC" msgid="">B.SC(ED) ACCOUNTING EDUCATION</item>
+    <item key="BSCEDAP" msgid="">B.SC(ED) ADULT EDUCATION/POL SCI</item>
+    <item key="BSCEDAG" msgid="">B.SC(ED) AGRICULTURE EDUCATION</item>
+    <item key="BSCEDB" msgid="">B.SC(ED) BIOLOGY</item>
+    <item key="BSCEDBC" msgid="">B.SC(ED) BUILDING CONSTRUCTION EDUCATION</item>
+    <item key="BSCEDBE" msgid="">B.SC(ED) BUSINESS EDUCATION (ACCOUNTING)</item>
+    <item key="BSCEDC" msgid="">B.SC(ED) CHEMISTRY</item>
+    <item key="BSCEDCO" msgid="">B.SC(ED) COMPUTER</item>
+    <item key="BSCEDES" msgid="">B.SC(ED) ECONOMICS AND STATISTICS</item>
+    <item key="BSCEDEE" msgid="">B.SC(ED) ELECTRICAL ELECTONICS EDUCATION</item>
+    <item key="BSCEDGR" msgid="">B.SC(ED) GEOGRAPHY AND REGIONAL PLANNING</item>
+    <item key="BSCEDHE" msgid="">B.SC(ED) HEALTH EDUCATION</item>
+    <item key="BSCEDHM" msgid="">B.SC(ED) HOME ECONOMICS EDUCATION</item>
+    <item key="BSCEDTE" msgid="">B.SC(ED) INDUSTRIAL TECHNICAL EDUCATION</item>
+    <item key="BSCEDIS" msgid="">B.SC(ED) INTEGRATED SCIENCE</item>
+    <item key="BSCEDM" msgid="">B.SC(ED) MATHENATICS</item>
+    <item key="BSCEDME" msgid="">B.SC(ED) MECHANICAL ENGINEERING</item>
+    <item key="BSCEDPE" msgid="">B.SC(ED) PHYSICAL EDUCATION</item>
+    <item key="BSCEDP" msgid="">B.SC(ED) PHYSICS</item>
+    <item key="BSCEDPS" msgid="">B.SC(ED) POLITICAL SCIENCE AND PUBLIC AD</item>
+    <item key="BSCEDSE" msgid="">B.SC(ED) SECRETATIAL EDUCATION</item>
+    <item key="BSCEDSS" msgid="">B.SC(ED) SOCIAL STUDIES</item>
+    <item key="BSCEDWB" msgid="">B.SC(ED) WOODWORK AND BUILDING</item>
+    <item key="BAGAEE" msgid="">BACHELOR OF AGRICULTURE (AGRIC ECONS)</item>
+    <item key="BAGANS" msgid="">BACHELOR OF AGRICULTURE (ANIMAL SCIENCE)</item>
+    <item key="BAGCRS" msgid="">BACHELOR OF AGRICULTURE (CROP SCIENCE)</item>
+    <item key="BAGFIS" msgid="">BACHELOR OF AGRICULTURE (FISHERIES)</item>
+    <item key="BAGSOS" msgid="">BACHELOR OF AGRICULTURE (SOIL SCIENCE)</item>
+    <item key="BARTREL" msgid="">BACHELOR OF ART(RELIGIOUS STUDIES)</item>
+    <item key="BARTENL" msgid="">BACHELOR OF ARTS (ENGLISH AND LITERATURE)</item>
+    <item key="BARTCER" msgid="">BACHELOR OF ARTS (FAA CERAMICS)</item>
+    <item key="BARTAPG" msgid="">BACHELOR OF ARTS (FAA GRAPHICS)</item>
+    <item key="BARTAPM" msgid="">BACHELOR OF ARTS (FAA METAL)</item>
+    <item key="BARTFAP" msgid="">BACHELOR OF ARTS (FAA PAINTING)</item>
+    <item key="BARTSCP" msgid="">BACHELOR OF ARTS (FAA SCULPTURE)</item>
+    <item key="BARTTXT" msgid="">BACHELOR OF ARTS (FAA TEXTILE)</item>
+    <item key="BARTFAA" msgid="">BACHELOR OF ARTS (FINE AND APPLIED ARTS)</item>
+    <item key="BARTISD" msgid="">BACHELOR OF ARTS (INTER.STUDIES)</item>
+    <item key="BARTPHL" msgid="">BACHELOR OF ARTS (PHILOSOPHY)</item>
+    <item key="BARTFOL" msgid="">BACHELOR OF ARTS FOREIGN LANGUAGES</item>
+    <item key="BARTHIS" msgid="">BACHELOR OF ARTS(HISTORY</item>
+    <item key="BDS" msgid="">BACHELOR OF DENTAL SURGERY</item>
+    <item key="BENGCHE" msgid="">BACHELOR OF ENGINEERING (CHEMICAL)</item>
+    <item key="BENGCVE" msgid="">BACHELOR OF ENGINEERING (CIVIL)</item>
+    <item key="BENGCOM" msgid="">BACHELOR OF ENGINEERING (COMPUTER)</item>
+    <item key="BENGEEE" msgid="">BACHELOR OF ENGINEERING (ELECT/ELECT)</item>
+    <item key="BENGEEP" msgid="">BACHELOR OF ENGINEERING (ELECTRIC/ELECTRONICS) PTI</item>
+    <item key="BENGMCH" msgid="">BACHELOR OF ENGINEERING (MECHANICAL)</item>
+    <item key="BENGPEE" msgid="">BACHELOR OF ENGINEERING (PETROLEUM)</item>
+    <item key="BENGPRE" msgid="">BACHELOR OF ENGINEERING (PRODUCTION)</item>
+    <item key="BAGFOW" msgid="">BACHELOR OF FORESTRY AND WILDFIFE</item>
+    <item key="LLB" msgid="">BACHELOR OF LAWS</item>
+    <item key="MBBSMED" msgid="">BACHELOR OF MEDICINE AND SURGERY</item>
+    <item key="BSCACC" msgid="">BACHELOR OF SCIENCE (ACCOUNTING)</item>
+    <item key="BSCBOT" msgid="">BACHELOR OF SCIENCE (BOTANY)</item>
+    <item key="BSCBUS" msgid="">BACHELOR OF SCIENCE (BUSINESS ADMIN.)</item>
+    <item key="BSCCHM" msgid="">BACHELOR OF SCIENCE (CHEMISTRY)</item>
+    <item key="BSCECO" msgid="">BACHELOR OF SCIENCE (ECO.AND STATISTICS)</item>
+    <item key="BSCEVL" msgid="">BACHELOR OF SCIENCE (ENVIROMENT)</item>
+    <item key="BSCGEO" msgid="">BACHELOR OF SCIENCE (GEO.AND REG.PLANN.)</item>
+    <item key="BSCGLY" msgid="">BACHELOR OF SCIENCE (GEOLOGY)</item>
+    <item key="BSCMCB" msgid="">BACHELOR OF SCIENCE (MICROBIOLOGY)</item>
+    <item key="BSCMLS" msgid="">BACHELOR OF SCIENCE (MEDICAL LAB SCIENCE)</item>
+    <item key="BSCSAA" msgid="">BACHELOR OF SCIENCE (SOC.AND ANTHRO.)</item>
+    <item key="BSCAEB" msgid="">BACHELOR OF SCIENCE IN ANIMAL AND ENVIRONMENTAL BIOLOGY</item>
+    <item key="BSCBCH" msgid="">BACHELOR OF SCIENCE(BIOCHEM)</item>
+    <item key="BSCCSC" msgid="">BACHELOR OF SCIENCE(COMPUTER SCIENCE)</item>
+    <item key="BSCINC" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL CHEMISTRY)</item>
+    <item key="BSCINM" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL MATHEMATICS)</item>
+    <item key="BSCINP" msgid="">BACHELOR OF SCIENCE(INDUSTRIAL PHYSICS)</item>
+    <item key="BSCME" msgid="">BACHELOR OF SCIENCE(MATHEMATICS$ECONS)</item>
+    <item key="BSCMTH" msgid="">BACHELOR OF SCIENCE(MATHEMATICS)</item>
+    <item key="BSCPHY" msgid="">BACHELOR OF SCIENCE(PHYSICS)</item>
+    <item key="BSCPOL" msgid="">BACHELOR OF SCIENCE(POL.SCI AND PUB.ADM)</item>
+    <item key="BSCPAM" msgid="">BACHELOR OF SCIENCE(PURE AND APPLIED MATH)</item>
+    <item key="BSCZOO" msgid="">BACHELOR OF SCIENCE(ZOOLOGY)</item>
+    <item key="BARTMAS" msgid="">BACHELOR OF ART (MASS COMMUNICATION)</item>
+    <item key="BARTTHR" msgid="">BACHELOR OF ART (THEARTER ARTS)</item>
+    <item key="OD" msgid="">DOCTOR OF OPTOMETRY</item>
+    <item key="PHARMD" msgid="">DOCTOR OF PHARMACY</item>
+    <item key="BSCMBC" msgid="">MEDICAL BIOCHEMISTRY</item>
+    <item key="BSCPHS" msgid="">PHYSIOLOGY</item>
+    <item key="BARTIBO" msgid="">B.ART (IGBO LINGUSTICS)</item>
+    <item key="BSCNUR" msgid="">B.SC (NURSING)</item>
+    <item key="BENGGSE" msgid="">BACHELOR OF ENGINEERING (GAS)</item>
+    <item key="BSCBNK" msgid="">BACHELOR OF SCIENCE (BANKING)</item>
 
 </object>
Index: WAeUP_SRP/aaua/profiles/default/vocabularies/cos_cest.xml
===================================================================
--- WAeUP_SRP/aaua/profiles/default/vocabularies/cos_cest.xml	(revision 3549)
+++ WAeUP_SRP/aaua/profiles/default/vocabularies/cos_cest.xml	(revision 3550)
@@ -15,11 +15,11 @@
     <item key="BAC" msgid="">Bachelor in Agric (Crop Science)</item>
     <item key="BAS" msgid="">Bachelor in Agric (Soil Science)</item>
-    <item key="BAFW" msgid="">Bachelor in Agric (Forestry and Wildlife)</item>
-    <item key="BAF" msgid="">Bachelor in Agric (Fisheries)</item>
+    <item key="BFW" msgid="">Bachelor in Agric (Forestry and Wildlife)</item>
+    <item key="BIF" msgid="">Bachelor in Agric (Fisheries)</item>
     <item key="DISD" msgid="">Diploma in Int. Studies and Diplomacy</item>
     <item key="DFA" msgid="">Diploma in Fine and Applied Arts</item>
     <item key="DTA" msgid="">Diploma in Theatre Arts</item>
     <item key="BEL" msgid="">B.A English and Literature</item>
-    <item key="BAH" msgid="">Bachelor of Arts in History</item>
+    <item key="BIH" msgid="">Bachelor of Arts in History</item>
 
     <item key="BTA" msgid="">Bachelor of Arts (Theatre Arts)</item>
@@ -27,5 +27,5 @@
     <item key="BISD" msgid="">Bachelor in Int. Studies and Diplomacy</item>
     <item key="BFA" msgid="">Bachelor in Fine and Applied Arts</item>
-    <item key="DAD" msgid="">Diploma in Adult Education</item>
+    <item key="DAED" msgid="">Diploma in Adult Education</item>
     <item key="DICE" msgid="">Diploma in Computer Engineering</item>
     <item key="DICHE" msgid="">Diploma in Chemical Engineering</item>
@@ -40,5 +40,5 @@
     <item key="BIA" msgid="">Bachelor in Accounting</item>
     <item key="BBF" msgid="">Bachelor in Banking and Finance</item>
-    <item key="ODPT" msgid="">Doctor of Pharmacy (Part Time)</item>
+    <item key="PHARMD1" msgid="">Doctor of Pharmacy (Part Time)</item>
     <item key="DAIC" msgid="">Diploma in Analytical and Industrial Chemistry</item>
     <item key="DIG" msgid="">Diploma in Geology</item>
Index: WAeUP_SRP/aaua/profiles/default/vocabularies/entry_modes.xml
===================================================================
--- WAeUP_SRP/aaua/profiles/default/vocabularies/entry_modes.xml	(revision 3549)
+++ WAeUP_SRP/aaua/profiles/default/vocabularies/entry_modes.xml	(revision 3550)
@@ -7,6 +7,14 @@
  <property name="acl_write_roles">Manager</property>
  <item key="" msgid=""></item>
+ <item key="ume_ft" msgid="">UME Full Time</item>
+ <item key="de_ft" msgid="">Direct Entry Full Time</item>
+ <item key="de_pt" msgid="">Direct Entry Part Time</item>
+ <item key="dp_ft" msgid="">Diploma Full Time</item>
+ <item key="dp_pt" msgid="">Diploma Part Time</item>
  <item key="ug_ft" msgid="">Undergraduate Full Time</item>
- <item key="ug_sw" msgid="">Undergraduate Sandwich</item>
- <item key="prence" msgid="">Pre-NCE</item>
+ <item key="ug_pt" msgid="">Undergraduate Part Time</item>
+ <item key="pg_ft" msgid="">Postgraduate Full Time</item>
+ <item key="pg_pt" msgid="">Postgraduate Part Time</item>
+ <item key="ct_ft" msgid="">Certificate Full Time</item>
+ <item key="ct_pt" msgid="">Certificate Part Time</item>
 </object>
Index: WAeUP_SRP/aaua/profiles/default/vocabularies/levels.xml
===================================================================
--- WAeUP_SRP/aaua/profiles/default/vocabularies/levels.xml	(revision 3549)
+++ WAeUP_SRP/aaua/profiles/default/vocabularies/levels.xml	(revision 3550)
@@ -7,10 +7,12 @@
  <property name="acl_write_roles">Manager</property>
  <item key="" msgid=""></item>
- <item key="000" msgid="">Pre-NCE</item>
- <item key="100" msgid="">Year 1 (NCE-I)</item>
- <item key="200" msgid="">Year 2 (NCE-II)</item>
- <item key="300" msgid="">Year 3 (NCE-III)</item>
- <item key="400" msgid="">Year 4 (not used)</item>
- <item key="500" msgid="">Year 5 (not used)</item>
- <item key="600" msgid="">Year 6 (not used)</item>
+ <item key="000" msgid="">Pre-Studies</item>
+ <item key="100" msgid="">Year 1 (100 Level)</item>
+ <item key="200" msgid="">Year 2 (200 Level)</item>
+ <item key="300" msgid="">Year 3 (300 Level)</item>
+ <item key="400" msgid="">Year 4 (400 Level)</item>
+ <item key="500" msgid="">Year 5 (500 Level)</item>
+ <item key="600" msgid="">Year 6 (600 Level)</item>
+ <item key="700" msgid="">Year 7 (700 Level)</item>
+ <item key="800" msgid="">Year 8 (800 Level)</item>
 </object>