Index: waeup/branches/hraban/src/waeup/docs/faq-staff-de.rst
===================================================================
--- waeup/branches/hraban/src/waeup/docs/faq-staff-de.rst	(revision 3556)
+++ waeup/branches/hraban/src/waeup/docs/faq-staff-de.rst	(revision 3556)
@@ -0,0 +1,145 @@
+=============
+FAQ (deutsch)
+=============
+
+Zielgruppe: neue Mitarbeiter des Projektes
+
+
+Allgemeines zum Projekt
+=======================
+
+Was ist WAeUP?
+--------------
+
+Das "West African e-University Project" entwickelt ein Portal
+zur Verwaltung von Hochschulen, vor allem in Nigeria und Ghana.
+Dabei liegen Entwicklung, Hosting und Verwaltung in Deutschland
+(WAeUP Germany GbR). Der nigerianische Partner ist ein ISP und
+kümmert sich vor allem um die geschäftlichen Angelegenheiten vor
+Ort, vom Marketing bis zur Zahlungsabwicklung.
+
+Wer ist WAeUP?
+--------------
+
+Das Team wird auf waeup.org vorgestellt. Diese Liste ist allerdings
+veraltet, z.B. fehlen die Entwickler der neuen Version.
+Ohne Dr. Henrik Bettermann würde das Projekt jedenfalls nicht
+existieren.
+
+Gibt es keine geeignete Software aus Afrika?
+--------------------------------------------
+
+Es gibt "Konkurrenzprodukte", die von nigerianischen Banken
+kostenlos abgegeben werden. Die Banken verdienen dabei an den
+über sie abgewickelten Zahlungen. Die Software ist allerdings
+schlicht unbrauchbar, es gibt keinerlei Support.
+
+Warum alles in Deutschland?
+---------------------------
+
+Hosting
+   In Nigeria gibt es häufig nur 6 Stunden Strom pro Tag.
+   Fast alle Internetverbindungen laufen über Satellit,
+   oftmals ist eine gesamte Universiät nur mit 1 MBit/s
+   angeschlossen.
+   Ein Server vor Ort wäre also kaum erreichbar.
+   
+Entwicklung
+   Programmieren hat in Nigeria kein Renommée, gilt eher als
+   "niedrige Tätigkeit", daher gibt dort es nur wenige fähige
+   Entwickler.
+
+Verwaltung
+   Ein wesentlicher Aspekt ist die Vermeidung von Korruption.
+   Dazu kommt, dass Sorgfalt bei der Handhabung von Daten eher
+   geringes Ansehen genießt.
+   Die Verwaltungstätigkeiten sollen aber im Prinzip von den
+   Hochschulen selbst ausgeführt werden.
+
+Geschäftsmodell
+---------------
+
+WAeUP bekommt einen Anteil an allen Zahlungen, die über das Portal
+abgewickelt werden, etwa 1,20 € pro Student und Jahr.
+Es gibt in Nigeria über 350 Hochschulen, für die das Portal geeignet
+wäre, davon ca. 200 "Fachhochschulen" mit 3000-10.000 Studenten und
+150 Universitäten mit 20.000-70.000 Studenten.
+
+Was ist der derzeitige Status?
+------------------------------
+
+Zur Zeit (Juli 2008) wird die alte Version des Portals von drei
+Universitäten (Benin mit 60.000 Studenten und Adekunle Ajasin/Akungba-Akoko 
+mit ??.000 Studenten) und einer Fachhochschule (Okene mit 6000 Studenten) 
+eingesetzt.
+
+2(?) weitere Hochschulen werden noch zum Schuljahr 2008/2009
+an den Start gehen.
+
+Die Arbeit an der neuen Version wurde gerade gestartet und wird 
+spätestens zum Beginn des Schuljahrs 2009/2010 einsatzfähig sein.
+
+Inhaltliches
+============
+
+Welche Funktionen/Geschäftsprozesse bietet das Portal?
+------------------------------------------------------
+
+Das WAeUP-Portal begleitet die Studenten durch das gesamte Studium:
+
+Registration
+   (Bewerbung, ca. 10x soviel Studenten wie tatsächlich angenommen werden;
+   zentrale Vergabestelle; Scratchcard)
+
+Zulassung
+   (Prüfung der persönl. Daten & Dokumente; Bezahlung der Studiengebühren)
+
+Wohnheimverwaltung
+   (Abbildung der Struktur; Bettenbuchung; Zulassung; Miete)
+
+Kursbelegung
+   (Belegung der Pflicht- und Wahlkurse)
+   
+Erfolgskontrolle
+   Sammlung der Prüfungsergebnisse über den gesamten Studienverlauf
+   
+Zahlungsabwicklung
+   Zahlung mit Scratchcards (auslaufend)
+   Zahlung mit Cashcards (via interchangeng.com)
+
+Technisches
+===========
+
+Worauf beruht das Portal?
+-------------------------
+
+Das WAeUP-Portal basiert auf Zope 3 mit Grok, also auf einem
+mächtigen und zuverlässigen Python-Web-Framework mit einer
+schnellen, objektorientierten Datenbank.
+
+Die frühere Version basiert auf Zope 2 mit CPS/CMF und läuft
+fehlerfrei, ist allerdings etwas schwerfällig.
+
+Warum nicht Plone?
+------------------
+
+Das WAeUP-Portal braucht kaum Content-Management-Funktionen;
+eine ältere Version basierte auf Zope 2 mit CPS/CMF, dabei musste
+viel Aufwand betrieben werden, um unbenötigte CMS-Funktionen
+abzuschalten bzw. um sie herum zu programmieren.
+
+Warum nicht Schooltool?
+-----------------------
+
+Schooltool hat eine andere Zielgruppe (allgemeinbildende Schulen),
+einen anderen technischen Aufbau und andere Funktionen (z.B. 
+Stundenplanverwaltung).
+Eine Zusammenarbeit der beiden Projekte ist willkommen, besteht
+aber derzeit nicht.
+
+Warum nicht ... (PHP, J2EE, mein Favorit)?
+------------------------------------------
+
+Python/Zope/Grok ist für diese Anwendung hervorragend geeignet.
+Die Gründer und Mitarbeiter des Projektes sind davon überzeugt.
+Die Diskussion über Alternativen ist daher sinnlos.