Index: waeup/branches/hraban/src/waeup/app.py
===================================================================
--- waeup/branches/hraban/src/waeup/app.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/app.py	(revision 3557)
@@ -1,8 +1,7 @@
 import grok
-from grok import index
-from zope.interface import Interface
-from interfaces import IUniversity
+#from zope.interface import Interface
+from waeup.interfaces import IUniversity
 from setup import app_setup
-from viewlets import MainArea
+from waeup.viewlets import MainArea
 
 class University(grok.Application, grok.Container):
Index: waeup/branches/hraban/src/waeup/basecontainer.py
===================================================================
--- waeup/branches/hraban/src/waeup/basecontainer.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/basecontainer.py	(revision 3557)
@@ -1,4 +1,5 @@
 import grok
-from baseitem import BaseItem
+from waeup.interfaces import IBaseContainer
+from waeup.baseitem import BaseItem
 from waeup.viewlets import MainArea
 
@@ -8,5 +9,5 @@
     base methods and templates attached to it
     """
-    
+    grok.implements(IBaseContainer)
     name = u"BaseContainer"
     childClass = None
@@ -14,8 +15,9 @@
     
 class Content(grok.Viewlet):
-    grok.viewletmanager(MainArea)
     """
     Base viewlet
     """
+    grok.viewletmanager(MainArea)
+    #grok.context(grok.interfaces.IContainer)
     
 class Add(grok.AddForm):
Index: waeup/branches/hraban/src/waeup/basecontainer_templates/content.pt
===================================================================
--- waeup/branches/hraban/src/waeup/basecontainer_templates/content.pt	(revision 3556)
+++ waeup/branches/hraban/src/waeup/basecontainer_templates/content.pt	(revision 3557)
@@ -1,16 +1,27 @@
-    <h1 tal:content="context/name"></h1>
-    <a href="" tal:attributes="href python:view.url(context.__parent__)">Up</a>
-    <table>
-        <tr>
-            <th>Name</th>
-        </tr>
-        <tr tal:repeat="item context/values">
-            <td><a href="" tal:content="item/name"
-                           tal:attributes="href python:view.url(item)"></a></td>
-        </tr>
-    </table>
-    <a href="" tal:attributes="href python:view.url(context, 'add')">Add</a>
-    <a href=""
-        tal:repeat="action context/specialActions"
-        tal:attributes="href python:view.url(context, action)"
-        tal:content="action">Add</a>
+<div class="menubar">
+	<ul>
+		<li><a href="" tal:attributes="href python:view.url(context.__parent__)">Up</a></li>
+		<li><a href="" tal:attributes="href python:view.url(context, 'add')">Add</a>
+		<li tal:repeat="action context/specialActions">
+			<a href="" tal:attributes="href python:view.url(context, action)"
+			tal:content="action">Add</a>
+		</li>
+	</ul>
+</div>
+
+<h2 tal:content="context/name"></h2>
+<table class="datatable">
+	<tr>
+		<th>Name</th>
+	</tr>
+	<tr tal:repeat="item context/values">
+		<td tal:repeat="prop item/items">
+			<a href="" tal:content="prop"
+			tal:attributes="href python:view.url(item)"></a>
+		</td>
+		<!--
+		<td><a href="" tal:content="item/name"
+			tal:attributes="href python:view.url(item)"></a></td>
+		-->
+	</tr>
+</table>
Index: waeup/branches/hraban/src/waeup/basecontainer_templates/edit_form.pt
===================================================================
--- waeup/branches/hraban/src/waeup/basecontainer_templates/edit_form.pt	(revision 3557)
+++ waeup/branches/hraban/src/waeup/basecontainer_templates/edit_form.pt	(revision 3557)
@@ -0,0 +1,57 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+
+    <div i18n:translate="" tal:content="view/status">
+      Form status summary
+    </div>
+
+    <ul class="errors" tal:condition="view/errors">
+      <li tal:repeat="error view/error_views">
+         <span tal:replace="structure error">Error Type</span>
+      </li>
+    </ul>
+  </div>
+
+  <div class="form-fields">
+      <tal:block repeat="widget view/widgets">
+          <div class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+          </div>
+          <div class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+          </div>
+      </tal:block>
+  </div>
+
+  <div id="actionsView">
+    <span class="actionButtons" tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </span>
+  </div>
+</form>
Index: waeup/branches/hraban/src/waeup/baseitem.py
===================================================================
--- waeup/branches/hraban/src/waeup/baseitem.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/baseitem.py	(revision 3557)
@@ -15,3 +15,4 @@
 class Content(grok.Viewlet):
     grok.viewletmanager(MainArea)
+    #grok.context(grok.interfaces.IContainer)
 
Index: waeup/branches/hraban/src/waeup/baseitem_templates/edit_form.pt
===================================================================
--- waeup/branches/hraban/src/waeup/baseitem_templates/edit_form.pt	(revision 3557)
+++ waeup/branches/hraban/src/waeup/baseitem_templates/edit_form.pt	(revision 3557)
@@ -0,0 +1,57 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+
+    <div i18n:translate="" tal:content="view/status">
+      Form status summary
+    </div>
+
+    <ul class="errors" tal:condition="view/errors">
+      <li tal:repeat="error view/error_views">
+         <span tal:replace="structure error">Error Type</span>
+      </li>
+    </ul>
+  </div>
+
+  <div class="form-fields">
+      <tal:block repeat="widget view/widgets">
+          <div class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+          </div>
+          <div class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+          </div>
+      </tal:block>
+  </div>
+
+  <div id="actionsView">
+    <span class="actionButtons" tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </span>
+  </div>
+</form>
Index: waeup/branches/hraban/src/waeup/catalog.py
===================================================================
--- waeup/branches/hraban/src/waeup/catalog.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/catalog.py	(revision 3557)
@@ -4,11 +4,11 @@
 from datetime import datetime
 import os
-import grok
-from grok import index
+import grok, grok.index
 from hurry.query.query import Query, Text
 from hurry.query import Eq
-from app import University
-from students.interfaces import IStudent
-from students.student import Student
+from waeup.app import University
+from waeup.students.interfaces import IStudent
+from waeup.students.student import Student
+from waeup.viewlets import MainArea, LeftSidebar
 
 class StudentIndexes(grok.Indexes):
@@ -17,9 +17,11 @@
      grok.context(IStudent)
 
-     name = index.Field(attribute='name')
+     name = grok.index.Field(attribute='name')
 
 
-class StudentSearch(grok.View):
-    grok.context(University)
+class StudentSearch(grok.Viewlet):
+    grok.context(IStudent)
+    grok.viewletmanager(LeftSidebar)
+    #grok.view(Student)
 
     def update(self, query=None):
Index: waeup/branches/hraban/src/waeup/catalog_templates/studentsearch.pt
===================================================================
--- waeup/branches/hraban/src/waeup/catalog_templates/studentsearch.pt	(revision 3556)
+++ waeup/branches/hraban/src/waeup/catalog_templates/studentsearch.pt	(revision 3557)
@@ -1,4 +1,3 @@
-<html>
-<body>
+<div class="portlet">
   <form>
     <div>
@@ -11,4 +10,3 @@
        tal:content="item/name" >
   </div>
-</body>
-</html>
+</div>
Index: waeup/branches/hraban/src/waeup/hostel/hostel.py
===================================================================
--- waeup/branches/hraban/src/waeup/hostel/hostel.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/hostel/hostel.py	(revision 3557)
@@ -1,5 +1,5 @@
 import grok
 from waeup.baseitem import BaseItem
-from interfaces import IHostel
+from waeup.hostel.interfaces import IHostel
 
 
Index: waeup/branches/hraban/src/waeup/hostel/interfaces.py
===================================================================
--- waeup/branches/hraban/src/waeup/hostel/interfaces.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/hostel/interfaces.py	(revision 3557)
@@ -1,13 +1,13 @@
 ##
 ## interfaces.py
-from zope.interface import Interface
+import grok
 from zope import schema
 
-class IHostel(Interface):
-    """Representation of a student.
+class IHostel(grok.interfaces.IContainer):
+    """Representation of a hostel (AKA hall).
     """
     name = schema.TextLine(
         title = u'Name of Hostel',
-        default = u'Nobody',
+        default = u'Unnamed',
         required = True,
         )
Index: waeup/branches/hraban/src/waeup/interfaces.py
===================================================================
--- waeup/branches/hraban/src/waeup/interfaces.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/interfaces.py	(revision 3557)
@@ -1,8 +1,9 @@
 ##
 ## interfaces.py
-from zope.interface import Interface
+import grok
+#from zope.interface import Interface
 from zope import schema
 
-class IUniversity(Interface):
+class IUniversity(grok.interfaces.IContainer):
     """Representation of a university.
     """
@@ -12,2 +13,10 @@
         required = True,
         )
+
+class IBaseContainer(grok.interfaces.IContainer):
+    name = schema.TextLine(
+        title = u'Name of Container',
+        default = u'Unnamed Container',
+        required = True
+        )
+    
Index: waeup/branches/hraban/src/waeup/static/simple.css
===================================================================
--- waeup/branches/hraban/src/waeup/static/simple.css	(revision 3556)
+++ 	(revision )
@@ -1,4 +1,0 @@
-
-body {
-  background-color: #55f;
- }
Index: waeup/branches/hraban/src/waeup/students/interfaces.py
===================================================================
--- waeup/branches/hraban/src/waeup/students/interfaces.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/students/interfaces.py	(revision 3557)
@@ -1,8 +1,8 @@
 ##
 ## interfaces.py
-from zope.interface import Interface
+import grok
 from zope import schema
 
-class IStudent(Interface):
+class IStudent(grok.interfaces.IContainer):
     """Representation of a student.
     """
Index: waeup/branches/hraban/src/waeup/students/student.py
===================================================================
--- waeup/branches/hraban/src/waeup/students/student.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/students/student.py	(revision 3557)
@@ -1,6 +1,4 @@
 import grok
-from grok import index
 from interfaces import IStudent
-
 from waeup.baseitem import BaseItem
 
@@ -8,5 +6,11 @@
     #Factory method
     student = Student("Dummy")
-    student.entry_mode, student.end_level, student.name, student.jamb_reg_no, student.level, student.id, student.lga, student.entry_session, student.matric_no, student.sex, student.phone, student.session, student.course, student.mode, student.faculty, student.department, student.verdict, student.review_state,  student.perm_address, student.email = a
+    student.entry_mode, student.end_level, student.name, \
+    student.jamb_reg_no, student.level, student.id, \
+    student.lga, student.entry_session, student.matric_no, \
+    student.sex, student.phone, student.session, \
+    student.course, student.mode, student.faculty, \
+    student.department, student.verdict, student.review_state, \
+    student.perm_address, student.email = a
     return student
 
Index: waeup/branches/hraban/src/waeup/students/studentcontainer.py
===================================================================
--- waeup/branches/hraban/src/waeup/students/studentcontainer.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/students/studentcontainer.py	(revision 3557)
@@ -1,5 +1,4 @@
 import grok
 import os
-
 from waeup.basecontainer import BaseContainer
 from student import Student, fromCsv
Index: waeup/branches/hraban/src/waeup/university/faculty.py
===================================================================
--- waeup/branches/hraban/src/waeup/university/faculty.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/university/faculty.py	(revision 3557)
@@ -1,5 +1,5 @@
 import grok
 from waeup.basecontainer import BaseContainer
-from interfaces import IFaculty
+from waeup.university.interfaces import IFaculty
 
 class Faculty(BaseContainer):
Index: waeup/branches/hraban/src/waeup/university/facultycontainer.py
===================================================================
--- waeup/branches/hraban/src/waeup/university/facultycontainer.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/university/facultycontainer.py	(revision 3557)
@@ -1,9 +1,9 @@
 import grok
 from waeup.basecontainer import BaseContainer
-from interfaces import IFaculty
-from faculty import Faculty
+from waeup.university.interfaces import IFaculty
+from waeup.university.faculty import Faculty
 
 class FacultyContainer(BaseContainer):
-    
+    #grok.implements(grok.interfaces.IContainer)
     name = u'Faculties'
     childClass = Faculty
Index: waeup/branches/hraban/src/waeup/university/interfaces.py
===================================================================
--- waeup/branches/hraban/src/waeup/university/interfaces.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/university/interfaces.py	(revision 3557)
@@ -1,6 +1,6 @@
-from zope.interface import Interface
+import grok
 from zope import schema
 
-class IFaculty(Interface):
+class IFaculty(grok.interfaces.IContainer):
     """Representation of a university faculty.
     """
Index: waeup/branches/hraban/src/waeup/viewlets.py
===================================================================
--- waeup/branches/hraban/src/waeup/viewlets.py	(revision 3556)
+++ waeup/branches/hraban/src/waeup/viewlets.py	(revision 3557)
@@ -1,8 +1,10 @@
 # -*- coding: utf-8 -*-
+# viewlets.py
 import grok
-import zope.interface
+from grok.interfaces import IContainer
+from zope.interface import Interface
 from interfaces import IUniversity 
 
-grok.context(zope.interface.Interface)
+grok.context(Interface)
 
 class Index(grok.View):
@@ -14,21 +16,27 @@
 
 class Head(grok.ViewletManager):
-    """additions to HTML head"""
+    """viewlet manager for the HTML head area"""
     grok.name('head')
 
 class Title(grok.Viewlet):
+    """defines html/head/title"""
     grok.viewletmanager(Head)
 
 class AppCSS(grok.Viewlet):
+    """loads the default application CSS (static/app.css)"""
     grok.viewletmanager(Head)
 
 class Header(grok.ViewletManager):
+    """viewlet manager for the head area of the page"""
     grok.name('header')
 
 class Logo(grok.Viewlet):
+    """display the logo"""
     grok.viewletmanager(Header)
     grok.order(1)
 
 class NavigationBar(grok.Viewlet):
+    """display the menu bar 
+    (at the moment uses objects of the site as menu items)"""
     grok.viewletmanager(Header)
     grok.order(2)
@@ -38,7 +46,11 @@
 
 class LeftSidebar(grok.ViewletManager):
+    """viewlet manager for the lefthand side bar
+    that will contain some essential information 
+    about the displayed item"""
     grok.name('left')
 
 class AuthUser(grok.Viewlet):
+    """display the current user's name"""
     grok.viewletmanager(LeftSidebar)
     grok.view(Index)
@@ -46,4 +58,5 @@
 
 class Login(grok.Viewlet):
+    """display an useless login form"""
     grok.viewletmanager(LeftSidebar)
     grok.context(IUniversity)
@@ -52,10 +65,13 @@
 
 class MainArea(grok.ViewletManager):
+    """viewlet manager for the main content area"""
     grok.name('main')
-
+    #grok.context(IContainer)
 
 class Footer(grok.ViewletManager):
+    """viewlet manager for the foot bar"""
     grok.name('footer')
 
 class Copyright(grok.Viewlet):
+    """display a copyright notice"""
     grok.viewletmanager(Footer)
Index: waeup/branches/hraban/src/waeup/viewlets_templates/logo.pt
===================================================================
--- waeup/branches/hraban/src/waeup/viewlets_templates/logo.pt	(revision 3556)
+++ waeup/branches/hraban/src/waeup/viewlets_templates/logo.pt	(revision 3557)
@@ -1,4 +1,4 @@
 <div id="logo">
     <img tal:attributes="src static/logo_waeup.gif" alt="WAeUp logo" />
-    <h1>Sample University</h1>
+    <h1 tal:content="context/name">Sample University</h1>
 </div>